@ECHO off
CLS
ECHO WELCOME TO McAFEE VIRUSCAN!
ECHO ÿ
ECHO ÿ
ECHO ÿ
ECHO VirusScan is now checking your system for computer viruses
ECHO before copying itself to your system.  This may take several
ECHO minutes.
ECHO ÿ
ECHO Now scanning for viruses...
OS2SCAN.EXE /ADL
If ErrorLevel 2 Goto Error2
If Errorlevel 1 Goto Error1
INST.EXE
GOTO FINISH
:Error2
ECHO ÿ
ECHO ***  WARNING  ***                                  ***  ERROR  ***
ECHO ÿ
ECHO An error occured while scanning your computer for viruses.  Please
ECHO refer to your documentation or contact McAfee Associates for further
ECHO assistance.
ECHO ÿ
PAUSE
ECHO ÿ
GOTO FINISH
:error1
ECHO ÿ
ECHO ***  WARNING  ***                            ***  VIRUS FOUND  ***
ECHO ÿ
ECHO A virus was detected by VirusScan during the pre-installation check
ECHO for viruses.  Please refer to the documentation or contact McAfee
ECHO Associates for further assistance.
ECHO ÿ
:FINISH
